### ====================================================================
### Top-level UNIX Makefile for running the ELEFUNT test programs.
###
### Current target list:
###	all		make double-precision output
###	all1		same as all
###	all2		make single- and double-precision output
###	all3		make single-, double-, and quadruple-precision
###			output
###	check		make individual test output
###	clean		remove unneeded intermediate files
###	clobber		same as distclean
###	distclean	remove everything that make can rebuild
###	elefunt		make double-precision output for several
###			compilers
###	elefunt1	same as elefunt1
###	elefunt2	make single- and double-precision output for
###			several compilers
###	elefunt3	make single-, double-, and quadruple-precision
###			precision output for several compilers
###	install		dummy target
###	mostlyclean	same as clean
###	maintainer-clean do NOT use this target (for maintainer only)
###	uninstall	dummy target
###
### [28-May-2002]
### ====================================================================

ALLMAKEFLAGS	= CC="$(CC)" NAME="$(NAME)" XCFLAGS="$(XCFLAGS)" \
		  XDEFINES="$(XDEFINES)" XINCLUDES="$(XINCLUDES)" \
		  XLDFLAGS="$(XLDFLAGS)" XLIBS="$(XLIBS)" XOPT="$(XOPT)" \
		  $(XMFLAGS)

ELEFUNT		= ../common/elefunt.sh

### Output file name appendage
NAME		= xxx

RM		= /bin/rm -f

SHELL		= /bin/sh

XCFLAGS		=

XDEFINES	=

XINCLUDES	=

XLDFLAGS	=

XLIBS		=

XMFLAGS		=

XOPT		=

### ====================================================================

SUBDIRS1	= dp
SUBDIRS2	= sp dp
SUBDIRS3	= sp dp qp

### ====================================================================

all:	all1

all1:
	for f in $(SUBDIRS1) ; \
	do \
		(cd $$f ; $(MAKE) $(ALLMAKEFLAGS) ) ; \
	done

all2:
	for f in $(SUBDIRS2) ; \
	do \
		(cd $$f ; $(MAKE) $(ALLMAKEFLAGS) ) ; \
	done

all3:
	for f in $(SUBDIRS3) ; \
	do \
		(cd $$f ; $(MAKE) $(ALLMAKEFLAGS) ) ; \
	done

check:
	@echo There is no separate test suite for this package.

clean:
	for f in $(SUBDIRS3) ; \
	do \
		(cd $$f ; $(MAKE) $(ALLMAKEFLAGS) $@ ) ; \
	done

clobber:	distclean

distclean:
	for f in $(SUBDIRS3) ; \
	do \
		(cd $$f ; $(MAKE) $(ALLMAKEFLAGS) $@ ) ; \
	done

elefunt:	elefunt1

elefunt1:
	for f in $(SUBDIRS1) ; \
	do \
		(cd $$f ; $(ELEFUNT) ) ; \
	done

elefunt2:
	for f in $(SUBDIRS2) ; \
	do \
		(cd $$f ; $(ELEFUNT) ) ; \
	done

elefunt3:
	for f in $(SUBDIRS3) ; \
	do \
		(cd $$f ; $(ELEFUNT) ) ; \
	done

install:
	@echo There is nothing to install for this package.

maintainer-clean:
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	for f in $(SUBDIRS3) ; \
	do \
		(cd $$f ; $(MAKE) $(ALLMAKEFLAGS) $@ ) ; \
	done

mostlyclean:	clean

uninstall:
